Skip to main content
PATCH
Update a message

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
conversations.custom_channels.write

Path Parameters

channelId
integer<int32>
required

The unique identifier of the custom channel that contains the message.

messageId
string
required

The unique identifier of the message to update.

Body

application/json
statusType
enum<string>
required

Valid status are SENT, FAILED, and READ

Available options:
FAILED,
READ,
SENT
errorMessage
string

A string containing an error message, if applicable.

Response

successful operation

archived
boolean
required

A boolean indicating whether the message is archived.

attachments
(FILE · object | LOCATION · object | CONTACT · object | UNSUPPORTED_CONTENT · object | MESSAGE_HEADER · object | QUICK_REPLIES · object | WHATSAPP_TEMPLATE_METADATA · object | SOCIAL_MEDIA_METADATA · object)[]
required

An array of attachments included with the message, which can be files, locations, contacts, or other supported types.

channelAccountId
string
required

The identifier of the channel account associated with the message.

channelId
string
required

The identifier of the channel through which the message was sent.

client
object
required
conversationsThreadId
string
required

The identifier for the conversation thread to which this message belongs.

createdAt
string<date-time>
required

The date and time when the message was created, in ISO 8601 format.

createdBy
string
required

The identifier of the user or system that created the message.

direction
enum<string>
required

The direction of the message, either 'INCOMING' or 'OUTGOING'.

Available options:
INCOMING,
OUTGOING
id
string
required

The unique identifier for the message.

recipients
object[]
required

An array of recipients of the message, each containing recipient details.

senders
object[]
required

An array of senders associated with the message, each containing sender details.

text
string
required

The plain text content of the message.

truncationStatus
enum<string>
required

Indicates whether the message content is truncated. Valid values are 'NOT_TRUNCATED', 'TRUNCATED_TO_MOST_RECENT_REPLY', and 'TRUNCATED'.

Available options:
NOT_TRUNCATED,
TRUNCATED,
TRUNCATED_TO_MOST_RECENT_REPLY
type
enum<string>
default:MESSAGE
required

The type of the message, which is always 'MESSAGE'.

Available options:
MESSAGE
inReplyToId
string

The identifier of the message to which this message is a reply, if applicable.

richText
string

The rich text content of the message, if available.

status
object
subject
string

The subject of the message, if applicable.

updatedAt
string<date-time>

The date and time when the message was last updated, in ISO 8601 format.

Last modified on September 9, 2026